VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vapi::metadata::metamodel::MetadataIdentifierTypes Class Reference

Defines the data types of the MetadataIdentifier API service. More...

List of all members.

## Static Public Attributes
static readonly string | CANONICAL_NAME = "CanonicalName"
| Identifier representing the CanonicalName metadata.
static readonly string | COMPONENT = "Component"
| Identifier representing the Component metadata.
static readonly string | CREATE = "Create"
| Identifier representing the Create metadata.
static readonly string | CRUD = "Crud"
| Identifier representing the Crud metadata.
static readonly string | HAS_FIELDS_OF = "HasFieldsOf"
| Identifier representing the HasFieldsOf metadata.
static readonly string | INCLUDABLE = "Includable"
| Identifier representing the Includable metadata.
static readonly string | INCLUDE = "Include"
| Identifier representing the Include metadata.
static readonly string | IS_ONE_OF = "IsOneOf"
| Identifier representing the IsOneOf metadata.
static readonly string | MODEL = "Model"
| Identifier representing the Model metadata.
static readonly string | READ = "Read"
| Identifier representing the Read metadata.
static readonly string | RESOURCE = "Resource"
| Identifier representing the Resource metadata.
static readonly string | UNION_CASE = "UnionCase"
| Identifier representing the UnionCase metadata.
static readonly string | UNION_TAG = "UnionTag"
| Identifier representing the UnionTag metadata.
static readonly string | UPDATE = "Update"
| Identifier representing the Update metadata.

## Detailed Description

Defines the data types of the MetadataIdentifier API service.

## Member Data Documentation

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::CANONICAL_NAME = "CanonicalName"`[static]`

Identifier representing the CanonicalName metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::COMPONENT = "Component"`[static]`

Identifier representing the Component metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::CREATE = "Create"`[static]`

Identifier representing the Create metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::CRUD = "Crud"`[static]`

Identifier representing the Crud metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::HAS_FIELDS_OF = "HasFieldsOf"`[static]`

Identifier representing the HasFieldsOf metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::INCLUDABLE = "Includable"`[static]`

Identifier representing the Includable metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::INCLUDE = "Include"`[static]`

Identifier representing the Include metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::IS_ONE_OF = "IsOneOf"`[static]`

Identifier representing the IsOneOf metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::MODEL = "Model"`[static]`

Identifier representing the Model metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::READ = "Read"`[static]`

Identifier representing the Read metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::RESOURCE = "Resource"`[static]`

Identifier representing the Resource metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::UNION_CASE = "UnionCase"`[static]`

Identifier representing the UnionCase metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::UNION_TAG = "UnionTag"`[static]`

Identifier representing the UnionTag metadata.

readonly string vmware::vapi::metadata::metamodel::MetadataIdentifierTypes::UPDATE = "Update"`[static]`

Identifier representing the Update metadata.

The documentation for this class was generated from the following file:

- MetadataIdentifierTypes.cs